# Notebook

The information of the object in workspace. It will be returned by ``list`` and ``get-status``.

## The ObjectInfo object

- [notebook/object.md](notebook/object.md)

## Endpoints

### Get status

- [GET /api/2.0/workspace/get-status](get-status.md)

### List contents

- [GET /api/2.0/workspace/list](list.md)

### Import a workspace object

- [POST /api/2.0/workspace/import](import.md)

### Delete a workspace object

- [POST /api/2.0/workspace/delete](delete.md)

### Export a workspace object

- [GET /api/2.0/workspace/export](export.md)

### Create a directory

- [POST /api/2.0/workspace/mkdirs](mkdirs.md)

